--- old/usr/src/man/man1/expand.1	Fri Jan 11 21:14:00 2019
+++ new/usr/src/man/man1/expand.1	Fri Jan 11 21:14:00 2019
@@ -63,7 +63,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBexpand\fR utility copies \fIfile\fRs (or the standard input) to the
 standard output, with TAB characters expanded to SPACE characters. BACKSPACE
@@ -78,7 +77,6 @@
 SPACE and TAB characters are converted to strings of tabs, but this can be
 overridden by the \fB-a\fR option (see the OPTIONS section below).
 .SH OPTIONS
-.sp
 .LP
 The following options are supported for \fBexpand\fR:
 .sp
@@ -165,9 +163,8 @@
 .RE
 
 .SH OPERANDS
-.sp
 .LP
-The following ooperand is supported for \fBexpand\fR and \fBunexpand\fR:
+The following operand is supported for \fBexpand\fR and \fBunexpand\fR:
 .sp
 .ne 2
 .na
@@ -178,13 +175,11 @@
 .RE
 
 .SH ENVIRONMENT VARIABLES
-.sp
 .LP
 See \fBenviron\fR(5) for descriptions of the following environment variables
 that affect the execution of \fBexpand\fR and \fBunexpand\fR: \fBLANG\fR,
 \fBLC_ALL\fR, \fBLC_CTYPE\fR, \fBLC_MESSAGES\fR, and \fBNLSPATH\fR.
 .SH EXIT STATUS
-.sp
 .LP
 The following exit values are returned:
 .sp
@@ -206,7 +201,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -224,6 +218,5 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBtabs\fR(1), \fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man1/kbd.1	Fri Jan 11 21:14:00 2019
+++ new/usr/src/man/man1/kbd.1	Fri Jan 11 21:14:00 2019
@@ -75,7 +75,7 @@
 .LP
 Although PPP is a binary protocol, it has the ability to avoid using characters
 that interfere with serial operation. The default alternate break sequence is
-CTRL-m \fB~\fR CTRL-b, or \fB0D 7E 02\fR in hexidecimal. In PPP, this can be
+CTRL-m \fB~\fR CTRL-b, or \fB0D 7E 02\fR in hexadecimal. In PPP, this can be
 avoided by setting either \fB0x00000004\fR or \fB0x00002000\fR in the ACCM.
 This forces an escape for the CTRL-b or CTRL-m characters, respectively.
 .sp
--- old/usr/src/man/man1/msgfmt.1	Fri Jan 11 21:14:00 2019
+++ new/usr/src/man/man1/msgfmt.1	Fri Jan 11 21:14:00 2019
@@ -16,7 +16,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBmsgfmt\fR utility creates message object files from portable object
 files (\fIfilename\fR\fB\&.po\fR), without changing the portable object files.
@@ -35,7 +34,6 @@
 the \fBLC_CTYPE\fR locale category or according to the codeset specified in the
 \fB\&.po\fR file.
 .SH OPTIONS
-.sp
 .LP
 The following options are supported:
 .sp
@@ -135,7 +133,6 @@
 .RE
 
 .SH USAGE
-.sp
 .LP
 The format of portable object files (\fB\&.po\fR files) is defined as follows.
 Each \fB\&.po\fR file contains one or more lines, with each line containing
@@ -243,7 +240,7 @@
 .LP
 The directive \fBmsgstr\fR[\fIn\fR] (where \fIn\fR = 0, 1, 2, ...) specifies
 the target string to be used with plural form handling functions
-\fBngettext()\fR, \fBdngettext()\fR, and \fBdcngetttext()\fR.
+\fBngettext()\fR, \fBdngettext()\fR, and \fBdcngettext()\fR.
 .sp
 .LP
 Message strings can contain the escape sequences \fB\\n\fR for newline,
@@ -353,7 +350,6 @@
 \fBnl_langinfo(CODESET\fR)) by default, and can be changed by the call of
 \fBbind_textdomain_codeset()\fR.
 .SS "Message catalog file format"
-.sp
 .LP
 The \fBmsgfmt\fR utility can generate the message object both in Solaris
 message catalog file format and in GNU-compatible message catalog file format.
@@ -467,13 +463,11 @@
 .sp
 
 .SH ENVIRONMENT VARIABLES
-.sp
 .LP
 See \fBenviron\fR(5) for descriptions of the following environmental variables
 that affect the execution of \fBmsgfmt\fR: \fBLC_CTYPE\fR, \fBLC_MESSAGES\fR,
 and \fBNLSPATH\fR.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -489,12 +483,10 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBxgettext\fR(1), \fBgettext\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5),
 \fBenviron\fR(5)
 .SH NOTES
-.sp
 .LP
 Installing message catalogs under the C locale is pointless, since they are
 ignored for the sake of efficiency.
--- old/usr/src/man/man1/mt.1	Fri Jan 11 21:14:00 2019
+++ new/usr/src/man/man1/mt.1	Fri Jan 11 21:14:00 2019
@@ -13,13 +13,11 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBmt\fR utility sends commands to a magnetic tape drive. If \fB-f\fR
 \fItapename\fR is not specified, the environment variable \fBTAPE\fR is used.
 If \fBTAPE\fR does not exist, \fBmt\fR uses the device \fB/dev/rmt/0n\fR.
 .SH OPTIONS
-.sp
 .LP
 The following options are supported:
 .sp
@@ -32,7 +30,6 @@
 .RE
 
 .SH OPERANDS
-.sp
 .LP
 The following operands are supported:
 .sp
@@ -173,7 +170,7 @@
 .ad
 .RS 10n
 Back spaces \fIcount\fR files. The tape is positioned on the first block of the
-file. This is equivalent to \fIcount+1\fR \fBbsf\fRs ollowed by one \fBfsf\fR.
+file. This is equivalent to \fIcount+1\fR \fBbsf\fRs followed by one \fBfsf\fR.
 .RE
 
 .sp
@@ -321,7 +318,6 @@
 .RE
 
 .SH EXIT STATUS
-.sp
 .ne 2
 .na
 \fB\fB0\fR\fR
@@ -350,7 +346,6 @@
 .RE
 
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/dev/rmt/*\fR\fR
@@ -360,12 +355,10 @@
 .RE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBtar\fR(1), \fBtcopy\fR(1), \fBar.h\fR(3HEAD), \fBattributes\fR(5),
 \fBmtio\fR(7I), \fBst\fR(7D)
 .SH BUGS
-.sp
 .LP
 Not all devices support all options. Some options are hardware-dependent. Refer
 to the corresponding device manual page.
--- old/usr/src/man/man1/truss.1	Fri Jan 11 21:14:00 2019
+++ new/usr/src/man/man1/truss.1	Fri Jan 11 21:14:00 2019
@@ -217,7 +217,7 @@
 executed. \fBtruss\fR takes control of each process and begins tracing it
 provided that the userid and groupid of the process match those of the user or
 that the user is a privileged user. Users can trace only selected threads by
-appending \fB/\fR\fIthread-id\fR to the process-id. Mutiple threads can be
+appending \fB/\fR\fIthread-id\fR to the process-id. Multiple threads can be
 selected using the \fB-\fR and \fB,\fR delimiters. For example \fB/1,2,7-9\fR
 traces threads \fB1\fR, \fB2\fR, \fB7\fR, \fB8\fR, and \fB9\fR. Processes can
 also be specified by their names in the \fB/proc\fR directory, for example,
--- old/usr/src/man/man1b/file.1b	Fri Jan 11 21:14:00 2019
+++ new/usr/src/man/man1b/file.1b	Fri Jan 11 21:14:00 2019
@@ -13,7 +13,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBfile\fR performs a series of tests on each  \fIfilename\fR in an attempt to
 determine what it contains. If the contents of a file appear to be  \fBASCII\fR
@@ -24,7 +23,6 @@
 of \fImagic number\fR, that is, any file containing a numeric or string
 constant that indicates its type.
 .SH OPTIONS
-.sp
 .ne 2
 .na
 \fB\fB-c\fR\fR
@@ -93,7 +91,7 @@
 empty.file:     empty
 libz:           archive random library
 memos:          directory
-project:        symboliclink to /usr/project
+project:        symbolic link to /usr/project
 script:         executable shell script
 titles:         ascii text
 s5.stuff:       cpio archive
@@ -105,7 +103,6 @@
 .sp
 
 .SH ENVIRONMENT VARIABLES
-.sp
 .LP
 The environment variables \fBLC_CTYPE\fR, \fBLANG\fR, and \fBLC_default\fR
 control the character classification throughout \fBfile\fR. On entry to
@@ -117,15 +114,12 @@
 valid, the shell character classification defaults to the   POSIX.1 "C"
 locale.
 .SH FILES
-.sp
 .LP
 \fB/etc/magic\fR
 .SH SEE ALSO
-.sp
 .LP
 \fBmagic\fR(4), \fBattributes\fR(5)
 .SH BUGS
-.sp
 .LP
 \fBfile\fR often makes mistakes.  In particular, it often suggests that command
 files are C programs.
--- old/usr/src/man/man1has/vi.1has	Fri Jan 11 21:14:01 2019
+++ new/usr/src/man/man1has/vi.1has	Fri Jan 11 21:14:01 2019
@@ -112,7 +112,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBvi\fR (visual) utility is a display-oriented text editor based on an
 underlying line editor \fBex\fR. It is possible to use the command mode of
@@ -137,11 +136,9 @@
 \fBshowmode\fR and \fBnovice\fR flags are set, and \fBmagic\fR is turned off.
 These defaults make it easier to learn how to use \fBvi\fR.
 .SH OPTIONS
-.sp
 .LP
-The following options are supporrted:
+The following options are supported:
 .SS "Invocation Options"
-.sp
 .LP
 The following invocation options are interpreted by \fBvi\fR (previously
 documented options are discussed under NOTES):
@@ -289,13 +286,11 @@
 .RE
 
 .SS "/usr/xpg4/bin/vi and /usr/xpg6/bin/vi"
-.sp
 .LP
 If both the \fB-t\fR \fItag\fR and the \fB-c\fR \fIcommand\fR options are
-given, the \fB-t\fR \fItag\fR optionis processed first. That is, the file
+given, the \fB-t\fR \fItag\fR option is processed first. That is, the file
 containing \fItag\fR is selected by \fB-t\fR and then the command is executed.
 .SH OPERANDS
-.sp
 .LP
 The following operands are supported:
 .sp
@@ -308,11 +303,9 @@
 .RE
 
 .SH COMMAND SUMMARY
-.sp
 .LP
 The \fBvi\fR command modes are summarized in this section.
 .SS "vi Modes"
-.sp
 .ne 2
 .na
 \fBCommand\fR
@@ -352,7 +345,6 @@
 .RE
 
 .SS "Sample Commands"
-.sp
 .LP
 In the descriptions, \fICR\fR stands for carriage return and \fIESC\fR stands
 for the escape key.
@@ -500,7 +492,6 @@
 .RE
 
 .SS "Counts Before vi Commands"
-.sp
 .LP
 Numbers can be typed as a prefix to some commands. They are interpreted in one
 of these ways:
@@ -532,7 +523,6 @@
 .RE
 
 .SS "Interrupting, Canceling"
-.sp
 .ne 2
 .na
 \fB\fIESC\fR\fR
@@ -551,7 +541,6 @@
 .RE
 
 .SS "File Manipulation"
-.sp
 .ne 2
 .na
 \fBZZ\fR
@@ -728,7 +717,6 @@
 \fIglobal\fR) can be typed, preceded by a colon and followed by a carriage
 return.
 .SS "Positioning Within a File"
-.sp
 .ne 2
 .na
 \fBF\fR
@@ -892,7 +880,6 @@
 .RE
 
 .SS "Adjusting the Screen"
-.sp
 .ne 2
 .na
 \fB^L\fR
@@ -974,7 +961,6 @@
 .RE
 
 .SS "Marking and Returning"
-.sp
 .ne 2
 .na
 \fB\(ga\(ga\fR
@@ -1020,7 +1006,6 @@
 .RE
 
 .SS "Line Positioning"
-.sp
 .ne 2
 .na
 \fBH\fR
@@ -1101,7 +1086,6 @@
 .RE
 
 .SS "Character Positioning"
-.sp
 .ne 2
 .na
 \fB^\fR
@@ -1237,7 +1221,6 @@
 .RE
 
 .SS "Words, Sentences, Paragraphs"
-.sp
 .ne 2
 .na
 \fBw\fR
@@ -1328,7 +1311,6 @@
 .RE
 
 .SS "Corrections During Insert"
-.sp
 .ne 2
 .na
 \fB^H\fR
@@ -1429,7 +1411,6 @@
 .RE
 
 .SS "Insert and Replace"
-.sp
 .ne 2
 .na
 \fBa\fR
@@ -1502,7 +1483,6 @@
 .RE
 
 .SS "Operators"
-.sp
 .LP
 Operators are followed by a cursor motion and affect all text that would have
 been moved over. For example, since \fBw\fR moves over a word, \fBdw\fR deletes
@@ -1563,7 +1543,6 @@
 .RE
 
 .SS "Miscellaneous Operations"
-.sp
 .ne 2
 .na
 \fBC\fR
@@ -1636,7 +1615,6 @@
 .RE
 
 .SS "Yank and Put"
-.sp
 .LP
 Put inserts the text most recently deleted or yanked; however, if a buffer is
 named (using the \fBASCII\fR lower-case letters \fBa\fR - \fBz\fR), the text in
@@ -1705,7 +1683,6 @@
 .RE
 
 .SS "Undo, Redo, Retrieve"
-.sp
 .ne 2
 .na
 \fBu\fR
@@ -1742,13 +1719,11 @@
 .RE
 
 .SH USAGE
-.sp
 .LP
 See \fBlargefile\fR(5) for the description of the behavior of \fBvi\fR and
 \fBview\fR when encountering files greater than or equal to 2 Gbyte ( 2^31
 bytes).
 .SH ENVIRONMENT VARIABLES
-.sp
 .LP
 See \fBenviron\fR(5) for descriptions of the following environment variables
 that affect the execution of \fBvi\fR: \fBLANG\fR, \fBLC_ALL\fR,
@@ -1785,7 +1760,6 @@
 .RE
 
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/var/tmp\fR\fR
@@ -1817,13 +1791,9 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .SS "/usr/bin/vi, /usr/bin/view, /usr/bin/vedit"
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -1834,9 +1804,6 @@
 .TE
 
 .SS "/usr/xpg4/bin/vi, /usr/xpg4/bin/view, /usr/xpg4/bin/vedit"
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -1849,9 +1816,6 @@
 .TE
 
 .SS "/usr/xpg6/bin/vi, /usr/xpg6/bin/view, /usr/xpg6/bin/vedit"
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -1864,7 +1828,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBIntro\fR(1), \fBctags\fR(1), \fBed\fR(1), \fBedit\fR(1), \fBex\fR(1),
 \fBattributes\fR(5), \fBenviron\fR(5), \fBlargefile\fR(5), \fBstandards\fR(5)
@@ -1872,13 +1835,11 @@
 .LP
 \fISolaris Advanced User\&'s Guide\fR
 .SH AUTHOR
-.sp
 .LP
 \fBvi\fR and \fBex\fR were developed by The University of California, Berkeley
 California, Computer Science Division, Department of Electrical Engineering and
 Computer Science.
 .SH NOTES
-.sp
 .LP
 Two options, although they continue to be supported, have been replaced in the
 documentation by options that follow the Command Syntax Standard (see
--- old/usr/src/man/man1m/boot.1m	Fri Jan 11 21:14:01 2019
+++ new/usr/src/man/man1m/boot.1m	Fri Jan 11 21:14:01 2019
@@ -65,7 +65,7 @@
 system has been halted.
 .sp
 .LP
-The second level program is either a fileystem-specific boot block (when
+The second level program is either a filesystem-specific boot block (when
 booting from a disk), or \fBinetboot\fR (when booting across
 the network).
 .sp
--- old/usr/src/man/man1m/ypmap2src.1m	Fri Jan 11 21:14:01 2019
+++ new/usr/src/man/man1m/ypmap2src.1m	Fri Jan 11 21:14:01 2019
@@ -15,7 +15,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 Use the \fBypmap2src\fR utility to convert standard NIS maps to approximations
 of the equivalent NIS source files. This utility functions like the reverse of
@@ -56,7 +55,6 @@
 When \fBypmap2src\fR is run, it will take up-to-date comments from the map file
 and insert them into the NIS source file generated.
 .SS "Handling Custom Maps"
-.sp
 .LP
 \fBypmap2src\fR only knows about the standard NIS maps and standard source to
 map conversion. If an advanced user has changed these, that is, the user has
@@ -63,7 +61,6 @@
 modified the NIS makefile, the equivalent changes must also be made to the
 \fBypmap2src\fR script.
 .SH OPTIONS
-.sp
 .LP
 \fBypmap2src\fR supports the following options:
 .sp
@@ -112,7 +109,6 @@
 .RE
 
 .SH OPERANDS
-.sp
 .LP
 \fBypmap2src\fR supports the following operands:
 .sp
@@ -122,12 +118,11 @@
 .ad
 .RS 15n
 Lists the standard source files to convert. If this option is not given, then
-all the standard source files, plus any custom files pecified by the \fB-c\fR
+all the standard source files, plus any custom files specified by the \fB-c\fR
 option, are converted.
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -143,7 +138,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBypmake\fR(1M), \fBypserv\fR(1M), \fBNISLDAPmapping\fR(4),
 \fBattributes\fR(5)
--- old/usr/src/man/man1m/zfs.1m	Fri Jan 11 21:14:01 2019
+++ new/usr/src/man/man1m/zfs.1m	Fri Jan 11 21:14:01 2019
@@ -2447,7 +2447,7 @@
 .Cm remap
 .Ar filesystem Ns | Ns Ar volume
 .Xc
-Remap the indirect blocks in the given fileystem or volume so that they no
+Remap the indirect blocks in the given filesystem or volume so that they no
 longer reference blocks on previously removed vdevs and we can eventually
 shrink the size of the indirect mapping objects for the previously removed
 vdevs. Note that remapping all blocks might not be possible and that
--- old/usr/src/man/man2/sysinfo.2	Fri Jan 11 21:14:02 2019
+++ new/usr/src/man/man2/sysinfo.2	Fri Jan 11 21:14:02 2019
@@ -279,7 +279,7 @@
 .sp .6
 .RS 4n
 Copy into the array pointed to by \fIbuf\fR an ASCII string consisting of the
-ASCII hexidecimal encoding of the name of the interface configured by
+ASCII hexadecimal encoding of the name of the interface configured by
 \fBboot\fR(1M) followed by the DHCPACK reply from the server. This command is
 intended for use only by the \fBdhcpagent\fR(1M) DHCP client daemon for the
 purpose of adopting the DHCP maintenance of the interface configured by
--- old/usr/src/man/man2/utimes.2	Fri Jan 11 21:14:02 2019
+++ new/usr/src/man/man2/utimes.2	Fri Jan 11 21:14:02 2019
@@ -119,7 +119,7 @@
 when encountering symbolic links may be controlled by the value of the
 \fIflag\fR argument. If the value of flag is the constant
 \fBAT_SYMLINK_NOFOLLOW\fR, then when a symbolic link is encountered while
-resoloving a path, it will not be followed. Otherwise, the value of \fIflag\fR
+resolving a path, it will not be followed. Otherwise, the value of \fIflag\fR
 should be \fB0\fR.
 .SH RETURN VALUES
 .LP
--- old/usr/src/man/man3c/pthread_getschedparam.3c	Fri Jan 11 21:14:02 2019
+++ new/usr/src/man/man3c/pthread_getschedparam.3c	Fri Jan 11 21:14:02 2019
@@ -65,7 +65,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBpthread_getschedparam()\fR and \fBpthread_setschedparam()\fR functions
 allow the scheduling policy and scheduling parameters of individual threads
@@ -147,15 +146,13 @@
 If the \fBpthread_setschedparam()\fR function fails, no scheduling parameters
 will be changed  for the target thread.
 .SH RETURN VALUES
-.sp
 .LP
 If successful, the \fBpthread_getschedparam()\fR and
 \fBpthread_setschedparam()\fR functions return  \fB0\fR. Otherwise, an error
 number is returned to indicate the error.
 .SH ERRORS
-.sp
 .LP
-The \fBpthread_getschedparam()\fR and \fBpthread_gsetschedparam()\fR functions
+The \fBpthread_getschedparam()\fR and \fBpthread_setschedparam()\fR functions
 will fail if:
 .sp
 .ne 2
@@ -190,7 +187,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -210,7 +206,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBpthread_attr_init\fR(3C), \fBsched_getparam\fR(3C),
 \fBsched_get_priority_max\fR(3C), \fBsched_get_priority_max\fR(3C),
--- old/usr/src/man/man3c/pthread_rwlock_rdlock.3c	Fri Jan 11 21:14:02 2019
+++ new/usr/src/man/man3c/pthread_rwlock_rdlock.3c	Fri Jan 11 21:14:02 2019
@@ -63,7 +63,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBpthread_rwlock_rdlock()\fR function applies a read lock to the
 read-write lock referenced by \fIrwlock\fR.  The calling thread acquires the
@@ -93,7 +92,7 @@
 \fBpthread_rwlock_rdlock()\fR function, with the exception that the function
 fails if the equivalent \fBpthread_rwlock_rdlock()\fR call would have blocked
 the calling thread.  In no case will the \fBpthread_rwlock_tryrdlock()\fR
-function ever bloc. It always either acquires the lock or fails and returns
+function ever block. It always either acquires the lock or fails and returns
 immediately.
 .sp
 .LP
@@ -105,7 +104,6 @@
 upon return from the signal handler the thread resumes waiting for the
 read-write lock for reading as if it was not interrupted.
 .SH RETURN VALUES
-.sp
 .LP
 If successful, the \fBpthread_rwlock_rdlock()\fR function returns \fB0\fR.
 Otherwise, an error number is returned to indicate the error.
@@ -115,7 +113,6 @@
 reading on the read-write lock object referenced by \fIrwlock\fR is acquired.
 Otherwise an error number  is returned to indicate the error.
 .SH ERRORS
-.sp
 .LP
 The \fBpthread_rwlock_rdlock()\fR and \fBpthread_rwlock_tryrdlock()\fR
 functions will fail if:
@@ -155,7 +152,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See  \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -173,7 +169,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBpthread_rwlock_init\fR(3C), \fBpthread_rwlock_wrlock\fR(3C),
 \fBpthread_rwlockattr_init\fR(3C), \fBpthread_rwlock_unlock\fR(3C),
--- old/usr/src/man/man3c/pthread_rwlock_timedwrlock.3c	Fri Jan 11 21:14:02 2019
+++ new/usr/src/man/man3c/pthread_rwlock_timedwrlock.3c	Fri Jan 11 21:14:02 2019
@@ -65,7 +65,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBpthread_rwlock_timedwrlock()\fR function applies a write lock to the
 read-write lock referenced by \fIrwlock\fR as in the
@@ -89,7 +88,7 @@
 The resolution of the timeout is the resolution of the \fBCLOCK_REALTIME\fR
 clock. The \fBtimespec\fR data type is defined in the <\fBtime.h\fR> header.
 Under no circumstances does either function fail with a timeout if the lock can
-be acquired immediately. The validity of the a\fIbs_timeout\fR parameter need
+be acquired immediately. The validity of the \fIabs_timeout\fR parameter need
 not be checked if the lock can be immediately acquired.
 .sp
 .LP
@@ -104,7 +103,6 @@
 read-write lock. The results are undefined if this function is called with an
 uninitialized read-write lock.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBpthread_rwlock_timedwrlock()\fR and
 \fBpthread_rwlock_reltimedwrlock_np()\fR functions return 0 if the lock for
@@ -111,7 +109,6 @@
 writing on the read-write lock object referenced by \fIrwlock\fR is acquired.
 Otherwise, an error number is returned to indicate the error.
 .SH ERRORS
-.sp
 .LP
 The \fBpthread_rwlock_timedwrlock()\fR and
 \fBpthread_rwlock_reltimedwrlock_np()\fR functions will fail if:
@@ -149,7 +146,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -171,7 +167,6 @@
 The \fBpthread_rwlock_timedwrlock()\fR function is Standard. The
 \fBpthread_rwlock_reltimedwrlock_np()\fR function is Stable.
 .SH SEE ALSO
-.sp
 .LP
 \fBpthread_rwlock_destroy\fR(3C), \fBpthread_rwlock_rdlock\fR(3C),
 \fBpthread_rwlock_timedrdlock\fR(3C), \fBpthread_rwlock_trywrlock\fR(3C),
--- old/usr/src/man/man3c/select.3c	Fri Jan 11 21:14:02 2019
+++ new/usr/src/man/man3c/select.3c	Fri Jan 11 21:14:02 2019
@@ -164,7 +164,7 @@
 in the descriptor sets are examined.
 .Pp
 If the
-.Fa readfs
+.Fa readfds
 argument is not a null pointer, it points to an object of
 type
 .Vt fd_set
@@ -173,7 +173,7 @@
 ready to read.
 .Pp
 If the
-.Fa writefs
+.Fa writefds
 argument is not a null pointer, it points to an object of
 type
 .Vt fd_set
@@ -191,8 +191,8 @@
 have error conditions pending.
 .Pp
 Upon successful completion, the objects pointed to by the
-.Fa readfs ,
-.Fa writefs ,
+.Fa readfds ,
+.Fa writefds ,
 and
 .Fa errorfds
 arguments are modified to indicate which file descriptors are ready for reading,
@@ -354,7 +354,7 @@
 completes successfully and returns 0.
 .Pp
 If the
-.Fa readfs ,
+.Fa readfds ,
 .Fa writefds ,
 and
 .Fa errorfds
--- old/usr/src/man/man3contract/ct_dev_tmpl_set_aset.3contract	Fri Jan 11 21:14:02 2019
+++ new/usr/src/man/man3contract/ct_dev_tmpl_set_aset.3contract	Fri Jan 11 21:14:02 2019
@@ -49,7 +49,6 @@
 .fi
 
 .SH PARAMETERS
-.sp
 .ne 2
 .na
 \fB\fIaset\fR\fR
@@ -118,7 +117,6 @@
 .RE
 
 .SH DESCRIPTION
-.sp
 .LP
 These functions read and write device contract terms and operate on device
 contract template file descriptors obtained from the \fBcontract\fR(4)
@@ -152,12 +150,10 @@
 \fBct_dev_tmpl_clear_noneg()\fR term clears the nonnegotiable term from a
 template.
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, these functions return 0. Otherwise, they return a
 non-zero error value.
 .SH ERRORS
-.sp
 .LP
 The \fBct_dev_tmpl_set_aset()\fR function will fail if:
 .sp
@@ -242,7 +238,7 @@
 .sp
 .ne 2
 .na
-\fB\fBEOVEFLOW\fR\fR
+\fB\fBEOVERFLOW\fR\fR
 .ad
 .RS 12n
 The supplied buffer is too small.
@@ -249,7 +245,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -267,7 +262,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBlibcontract\fR(3LIB), \fBcontract\fR(4), \fBdevices\fR(4),
 \fBattributes\fR(5), \fBlfcompile\fR(5)
--- old/usr/src/man/man3curses/form_cursor.3curses	Fri Jan 11 21:14:02 2019
+++ new/usr/src/man/man3curses/form_cursor.3curses	Fri Jan 11 21:14:02 2019
@@ -17,13 +17,11 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBpos_form_cursor()\fR moves the form window cursor to the location required
 by the form driver to resume form processing. This may be needed after the
 application calls a \fBcurses\fR library I/O routine.
 .SH RETURN VALUES
-.sp
 .LP
 \fBpos_form_cursor()\fR returns one of the following:
 .sp
@@ -32,7 +30,7 @@
 \fBE_OK\fR
 .ad
 .RS 18n
-Thefunction returned successfully.
+The function returned successfully.
 .RE
 
 .sp
@@ -63,7 +61,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -79,11 +76,9 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBcurses\fR(3CURSES), \fBforms\fR(3CURSES), \fBattributes\fR(5)
 .SH NOTES
-.sp
 .LP
 The header \fB<form.h>\fR automatically includes the headers  \fB<eti.h>\fR and
 \fB<curses.h>\fR\&.
--- old/usr/src/man/man3curses/form_field_buffer.3curses	Fri Jan 11 21:14:03 2019
+++ new/usr/src/man/man3curses/form_field_buffer.3curses	Fri Jan 11 21:14:03 2019
@@ -40,7 +40,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBset_field_buffer()\fR sets buffer \fIbuf\fR of \fIfield\fR to \fIvalue\fR.
 Buffer 0 stores the displayed contents of the field. Buffers other than 0 are
@@ -57,7 +56,6 @@
 \fBset_max_field()\fR sets a maximum growth on a dynamic field, or if
 \fImax=\fR\fB0\fR turns off any maximum growth.
 .SH RETURN VALUES
-.sp
 .LP
 \fBfield_buffer()\fR returns \fINULL\fR on error.
 .sp
@@ -73,7 +71,7 @@
 \fBE_OK\fR
 .ad
 .RS 18n
-Thefunction returned successfully.
+The function returned successfully.
 .RE
 
 .sp
@@ -95,7 +93,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -111,11 +108,9 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBcurses\fR(3CURSES), \fBforms\fR(3CURSES), \fBattributes\fR(5)
 .SH NOTES
-.sp
 .LP
 The header \fB<form.h>\fR automatically includes the headers  \fB<eti.h>\fR and
 \fB<curses.h>\fR\&.
--- old/usr/src/man/man3curses/form_field_new.3curses	Fri Jan 11 21:14:03 2019
+++ new/usr/src/man/man3curses/form_field_new.3curses	Fri Jan 11 21:14:03 2019
@@ -33,7 +33,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBnew_field()\fR creates a new field with \fIr\fR rows and \fIc\fR columns,
 starting at \fIfrow\fR, \fIfcol\fR, in the subwindow of a form. \fInrow\fR is
@@ -53,7 +52,6 @@
 .LP
 \fBfree_field()\fR frees the storage allocated for \fIfield\fR.
 .SH RETURN VALUES
-.sp
 .LP
 Routines that return pointers return \fINULL\fR on error. \fBfree_field()\fR
 returns one of the following:
@@ -63,7 +61,7 @@
 \fBE_OK\fR
 .ad
 .RS 18n
-Thefunction returned successfully.
+The function returned successfully.
 .RE
 
 .sp
@@ -94,7 +92,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -110,11 +107,9 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBcurses\fR(3CURSES), \fBforms\fR(3CURSES), \fBattributes\fR(5)
 .SH NOTES
-.sp
 .LP
 The header \fB<form.h>\fR automatically includes the headers  \fB<eti.h>\fR and
 \fB<curses.h>\fR\&.
--- old/usr/src/man/man3elf/elf32_checksum.3elf	Fri Jan 11 21:14:03 2019
+++ new/usr/src/man/man3elf/elf32_checksum.3elf	Fri Jan 11 21:14:03 2019
@@ -21,7 +21,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBelf32_checksum()\fR function returns a simple checksum of selected
 sections of the image identified by \fIelf\fR. The value is typically used as
@@ -29,13 +28,12 @@
 shared objects.
 .sp
 .LP
-Selected sections of the image are used to calcluate the checksum in order that
+Selected sections of the image are used to calculate the checksum in order that
 its value is not affected by utilities such as \fBstrip\fR(1).
 .sp
 .LP
 For the 64\(mibit class, replace 32 with 64 as appropriate.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -53,7 +51,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBelf\fR(3ELF), \fBelf_version\fR(3ELF), \fBgelf\fR(3ELF), \fBlibelf\fR(3LIB),
 \fBattributes\fR(5)
--- old/usr/src/man/man3nsl/getrpcbyname.3nsl	Fri Jan 11 21:14:03 2019
+++ new/usr/src/man/man3nsl/getrpcbyname.3nsl	Fri Jan 11 21:14:03 2019
@@ -57,7 +57,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 These functions are used to obtain entries for RPC (Remote Procedure Call)
 services.  An entry may come from any of the sources for \fBrpc\fR specified in
@@ -94,7 +93,6 @@
 the process to call more RPC entry retrieval functions after calling
 \fBendrpcent()\fR.
 .SS "Reentrant Interfaces"
-.sp
 .LP
 The functions \fBgetrpcbyname()\fR, \fBgetrpcbynumber()\fR, and
 \fBgetrpcent()\fR use static storage that is re-used in each call, making these
@@ -136,7 +134,6 @@
 \fBgetrpcbynumber_r()\fR leave the enumeration position in an indeterminate
 state.
 .SH RETURN VALUES
-.sp
 .LP
 RPC entries are represented by the \fBstruct rpcent\fR structure defined in
 \fB<rpc/rpcent.h>\fR:
@@ -173,15 +170,13 @@
 \fBgetrpcbynumber_r()\fR, and \fBgetrpcent_r()\fR is non-NULL, it is always
 equal to the \fIresult\fR pointer that was supplied by the caller.
 .SH ERRORS
-.sp
 .LP
-The reentrant functions  \fBgetrpcyname_r()\fR, \fBgetrpcbynumber_r(\|)\fR and
+The reentrant functions  \fBgetrpcbyname_r()\fR, \fBgetrpcbynumber_r(\|)\fR and
 \fBgetrpcent_r()\fR will return \fBNULL\fR and set \fBerrno\fR to \fBERANGE\fR
 if the length of the buffer supplied by caller is not large enough to store the
 result. See \fBIntro\fR(2) for the proper usage and interpretation of
 \fBerrno\fR in multithreaded applications.
 .SH FILES
-.sp
 .LP
 \fB/etc/rpc\fR
 .sp
@@ -188,7 +183,6 @@
 .LP
 \fB/etc/nsswitch.conf\fR
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -206,18 +200,15 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBrpcinfo\fR(1M), \fBrpc\fR(3NSL), \fBnsswitch.conf\fR(4), \fBrpc\fR(4),
 \fBattributes\fR(5)
 .SH WARNINGS
-.sp
 .LP
 The reentrant interfaces \fBgetrpcbyname_r()\fR, \fBgetrpcbynumber_r()\fR, and
 \fBgetrpcent_r()\fR are included in this release on an uncommitted basis only,
 and are subject to change or removal in future minor releases.
 .SH NOTES
-.sp
 .LP
 When compiling multithreaded applications, see  \fBIntro\fR(3), \fINotes On
 Multithreaded Applications\fR, for information about the use of the
--- old/usr/src/man/man3nsl/t_sndudata.3nsl	Fri Jan 11 21:14:03 2019
+++ new/usr/src/man/man3nsl/t_sndudata.3nsl	Fri Jan 11 21:14:03 2019
@@ -59,7 +59,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 This routine is part of the \fBXTI\fR interfaces which evolved from the
 \fBTLI\fR interfaces. \fBXTI\fR represents the future evolution of these
@@ -117,7 +116,7 @@
 .sp
 .LP
 If it is not possible for the transport provider to immediately detect the
-conditions that cause the errors \fBTBADDADDR\fR and \fBTBADOPT\fR, these
+conditions that cause the errors \fBTBADADDR\fR and \fBTBADOPT\fR, these
 errors will alternatively be returned by \fIt_rcvuderr.\fR Therefore, an
 application must be prepared to receive these errors in both of these ways.
 .sp
@@ -125,16 +124,13 @@
 If the call is interrupted, \fBt_sndudata()\fR will return \fBEINTR\fR and the
 datagram will not be sent.
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, a value of  \fB0\fR is returned.  Otherwise, a
 value of  -1 is returned and \fBt_errno\fR is set to indicate an error.
 .SH VALID STATES
-.sp
 .LP
 \fBT_IDLE\fR.
 .SH ERRORS
-.sp
 .LP
 On failure, \fBt_errno\fR is set to one of the following:
 .sp
@@ -236,13 +232,11 @@
 .RE
 
 .SH TLI COMPATIBILITY
-.sp
 .LP
 The \fBXTI\fR and \fBTLI\fR interface definitions have common names but use
 different header files. This, and other semantic differences between the two
 interfaces are described in the subsections below.
 .SS "Interface Header"
-.sp
 .LP
 The \fBXTI\fR interfaces use the header file, \fBxti.h.\fR \fBTLI\fR interfaces
 should \fInot\fR use this header.  They should use the header:
@@ -251,7 +245,6 @@
 #include <tiuser.h>
 .in -2
 .SS "Error Description Values"
-.sp
 .LP
 The \fBt_errno\fR values that can be set by the \fBXTI\fR interface and cannot
 be set by the \fBTLI\fR interface are:
@@ -276,18 +269,15 @@
 \fBTOUTSTATE\fR
 .in -2
 .SS "Notes"
-.sp
 .LP
 Whenever this function fails with \fBt_error\fR set to \fBTFLOW,\fR
 \fBO_NONBLOCK\fR must have been set.
 .SS "Option Buffers"
-.sp
 .LP
 The format of the options in an \fBopt\fR buffer is dictated by the transport
 provider. Unlike the \fBXTI\fR interface, the \fBTLI\fR interface does not fix
 the buffer format.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5)  for descriptions of the following attributes:
 .sp
@@ -303,7 +293,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBfcntl\fR(2), \fBt_alloc\fR(3NSL), \fBt_bind\fR(3NSL), \fBt_error\fR(3NSL),
 \fBt_getinfo\fR(3NSL), \fBt_look\fR(3NSL), \fBt_open\fR(3NSL),
--- old/usr/src/man/man3nsl/t_sndvudata.3nsl	Fri Jan 11 21:14:03 2019
+++ new/usr/src/man/man3nsl/t_sndvudata.3nsl	Fri Jan 11 21:14:03 2019
@@ -60,7 +60,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 This function is used in connectionless mode to send a data unit to another
 transport user.  The argument  \fIfd\fR identifies the local transport endpoint
@@ -131,21 +130,18 @@
 .sp
 .LP
 If it is not possible for the transport provider to immediately detect the
-conditions that cause the errors \fBTBADDADDR\fR and \fBTBADOPT\fR, these
+conditions that cause the errors \fBTBADADDR\fR and \fBTBADOPT\fR, these
 errors will alternatively be returned by  \fBt_rcvuderr\fR(3NSL). An
 application must therefore be prepared to receive these errors in both of these
 ways.
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, a value of  \fB0\fR is returned. Otherwise, a value
 of  -1 is returned and  \fBt_errno\fR is set to indicate an error.
 .SH VALID STATES
-.sp
 .LP
 \fBT_IDLE\fR.
 .SH ERRORS
-.sp
 .LP
 On failure,  \fBt_errno\fR is set to one of the following:
 .sp
@@ -259,12 +255,10 @@
 .RE
 
 .SH TLI COMPATIBILITY
-.sp
 .LP
 In the \fBTLI\fR interface definition, no counterpart of this routine was
 defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5)  for descriptions of the following attributes:
 .sp
@@ -280,7 +274,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBfcntl\fR(2), \fBt_alloc\fR(3NSL), \fBt_open\fR(3NSL),
 \fBt_rcvudata\fR(3NSL), \fBt_rcvvudata\fR(3NSL) \fBt_rcvuderr\fR(3NSL),
--- old/usr/src/man/man3secdb/getauthattr.3secdb	Fri Jan 11 21:14:03 2019
+++ new/usr/src/man/man3secdb/getauthattr.3secdb	Fri Jan 11 21:14:03 2019
@@ -55,7 +55,7 @@
 either successive \fBauth_attr\fR entries or \fINULL\fR.
 .sp
 .LP
-Th internal representation of an \fBauth_attr\fR entry is an \fBauthattr_t\fR
+The internal representation of an \fBauth_attr\fR entry is an \fBauthattr_t\fR
 structure defined in  <\fBauth_attr.h\fR> with the following members:
 .sp
 .in +2
--- old/usr/src/man/man3socket/connect.3socket	Fri Jan 11 21:14:04 2019
+++ new/usr/src/man/man3socket/connect.3socket	Fri Jan 11 21:14:04 2019
@@ -189,7 +189,7 @@
 		}
 		if (err != 0) {
 			/* Asynch connect failed */
-			fprintf(stderr, "asnchronous connect: %s\\n",
+			fprintf(stderr, "asynchronous connect: %s\\n",
 			    strerror(err));
 			(void) close(sock);
 			(void) close(eport);
--- old/usr/src/man/man4/ike.config.4	Fri Jan 11 21:14:04 2019
+++ new/usr/src/man/man4/ike.config.4	Fri Jan 11 21:14:04 2019
@@ -243,7 +243,7 @@
 .sp .6
 .RS 4n
 The X.509 distinguished name of a certificate that is a trusted root CA
-certificate.It must be encoded in a file in the \fB/etc/inet/ike/publickeys\fR
+certificate. It must be encoded in a file in the \fB/etc/inet/ike/publickeys\fR
 directory. It must have a CRL in \fB/etc/inet/ike/crl\fRs. Multiple
 \fBcert_root\fR parameters aggregate.
 .RE
--- old/usr/src/man/man4/service_provider.conf.4	Fri Jan 11 21:14:04 2019
+++ new/usr/src/man/man4/service_provider.conf.4	Fri Jan 11 21:14:04 2019
@@ -13,7 +13,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBservice_provider.conf\fR contains information about the device type that the
 service provider supports. This information includes the pathname of the
@@ -27,7 +26,7 @@
 adapters, that is, interfaces to external network that are available to uDAPL
 consumers. This new list of interface adapters is appended to other service
 providers' information in the DAT static registry, \fBdat.conf\fR. You can do
-this is you invoke the \fBdatadm\fR program with the \fB-a\fR option and the
+this if you invoke the \fBdatadm\fR program with the \fB-a\fR option and the
 pathname of the \fBservice_provider.conf\fR file.
 .sp
 .LP
@@ -40,7 +39,7 @@
 .in +2
 .nf
 "\fIdriver_name\fR" "\fIAPI_version\fR" "\fIthreadsafe_library\fR | \e
-      \fInonthreadsafe_librar\fRy"\e
+      \fInonthreadsafe_library\fR"\e
 "\fIdefault_version\fR | \fInondefault_version\fR" \e
      "\fIservice_provider_library_pathname\fR"\e
 "\fIservice_provider_version\fR" "\fIservice_provider_instance_data\fR"\e
@@ -68,7 +67,7 @@
 .ad
 .sp .6
 .RS 4n
-Specifies the API version of the service provide library: For example,
+Specifies the API version of the service provider library: For example,
 \fB"u"major.minor\fR is \fBu1.2\fR.
 .RE
 
@@ -75,7 +74,7 @@
 .sp
 .ne 2
 .na
-\fB\fIthreadsafe_library\fR | \fInonthreadsafe_librar\fR\fR
+\fB\fIthreadsafe_library\fR | \fInonthreadsafe_library\fR\fR
 .ad
 .sp .6
 .RS 4n
@@ -89,7 +88,7 @@
 .ad
 .sp .6
 .RS 4n
-Specifies a default or non-default version of library. A service provider can
+Specifies a default or non-default version of a library. A service provider can
 offer several versions of the library. If so, one version is designated as
 \fBdefault\fR with the rest as \fBnondefault\fR.
 .RE
@@ -166,7 +165,6 @@
 .in -2
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -181,6 +179,5 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBdatadm\fR(1M), \fBdat.conf\fR(4), \fBattributes\fR(5)
